#### D.15.23.6 readDataFromSSI

Procedure from library `ssi.lib` (see ssi_lib).

Usage:
  readDataFromSSI(filename); filename string, filename is the path to SSI file

Return:
  list of all expressions read from the file

Example:

    LIB "ssi.lib";
    ring R = 0, (x, y, z), dp;
    writeDataToSSI("example.ssi", list(x^2, y^2, z^2, "hello world"));
    list readData = readDataFromSSI("example.ssi");
    readData;
    ==> [1]:
    ==>    x2
    ==> [2]:
    ==>    y2
    ==> [3]:
    ==>    z2
    ==> [4]:
    ==>    hello world

User manual for Singular version 4.4.1, 2025, generated by texi2html.